Hooks:PostHook( WeaponFactoryTweakData, "init", "10mmPistolModInit", function(self)
    self.parts.wpn_fps_pis_10mm_sight.stance_mod = {
		wpn_fps_pis_10mm = {
			translation = Vector3(0, -3, -3.3),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_pis_10mm_ironsight.stance_mod = {
		wpn_fps_pis_10mm = {
			translation = Vector3(0, -3, -2.1),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_pis_10mm_glow.stance_mod = {
		wpn_fps_pis_10mm = {
			translation = Vector3(0, -7, -2.1),
			rotation = Rotation(0, 0, 0)
		},
	    wpn_fps_pis_x_10mm = {
			translation = Vector3(0, -0, -0),
			rotation = Rotation(0, 0, 0)
		}
	}
	self.parts.wpn_fps_pis_10mm_power.has_description = true
	self.parts.wpn_fps_pis_10mm_power.desc_id = "bm_wp_fps_pis_10mm_power_desc"
	self.parts.wpn_fps_pis_10mm_calib.has_description = true
	self.parts.wpn_fps_pis_10mm_calib.desc_id = "bm_wp_fps_pis_10mm_calib_desc"
	self.parts.wpn_fps_pis_10mm_pierc.has_description = true
	self.parts.wpn_fps_pis_10mm_pierc.desc_id = "bm_wp_fps_pis_10mm_pierc_desc"
	self.parts.wpn_fps_pis_10mm_pierc.custom_stats = {
	ammo_pickup_min_mul = 2, 
	ammo_pickup_max_mul = 1,
	armor_piercing_add = 1,
	can_shoot_through_enemy = true
	}
	self.parts.wpn_fps_pis_10mm_sup.perks = {
		"silencer"
	}
    self.parts.wpn_fps_pis_10mm_glow.adds = {
	    "wpn_fps_pis_10mm_glow_front"
	}
	self.parts.wpn_fps_pis_10mm_auto.has_description = true
	self.parts.wpn_fps_pis_10mm_auto.desc_id = "bm_wp_fps_pis_10mm_auto_desc"
	self.parts.wpn_fps_pis_10mm_auto.sub_type = "autofire"
	self.parts.wpn_fps_pis_10mm_sup.sub_type = "silencer"
	self.parts.wpn_fps_pis_10mm_sup.sound_switch = {
		suppressed = "suppressed_b"
	}
	self.parts.wpn_fps_pis_10mm_h_barrel.override = {
		wpn_fps_pis_10mm_sup = {
			unit = "units/mods/weapons/wpn_fps_pis_10mm_pts/overrides/wpn_fps_pis_10mm_h_sup"	
		},
	    wpn_fps_pis_10mm_flash = {
			unit = "units/mods/weapons/wpn_fps_pis_10mm_pts/overrides/wpn_fps_pis_10mm_h_flash"	
		}
	}
	self.parts.wpn_fps_pis_10mm_l_barrel.override = {
		wpn_fps_pis_10mm_sup = {
			unit = "units/mods/weapons/wpn_fps_pis_10mm_pts/overrides/wpn_fps_pis_10mm_l_sup"	
		},
	    wpn_fps_pis_10mm_flash = {
			unit = "units/mods/weapons/wpn_fps_pis_10mm_pts/overrides/wpn_fps_pis_10mm_l_flash"	
		}
	}
end )